Claroline 本地文件包含和跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1113565 漏洞类型 路径遍历
发布时间 2007-09-03 更新时间 2007-09-10
CVE编号 CVE-2007-4718 CNNVD-ID CNNVD-200709-041
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/30556
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200709-041
|漏洞详情
Claroline的inc/lib/language.lib.php中存在目录遍历漏洞。远程攻击者可以借助language参数中的一个..,包含和执行任意本地文件。
|漏洞EXP
source: http://www.securityfocus.com/bid/25521/info

Claroline is prone to a local file-include vulnerability and multiple cross-site scripting vulnerabilities.

An attacker could exploit these issues to execute local script code in the context of the application and access sensitive data, which may aid in further attacks.The attacker may also be able to execute arbitray code in the context of the webserver. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks.

Versions prior to Claroline 1.8.6 are vulnerable. 

http://www.example.com/inc/lib/languages.lib.php?language=../../[file]
|参考资料

来源:BID
名称:25521
链接:http://www.securityfocus.com/bid/25521
来源:VUPEN
名称:ADV-2007-3045
链接:http://www.frsirt.com/english/advisories/2007/3045
来源:www.claroline.net
链接:http://www.claroline.net/wiki/index.php/Changelog_1.8.x#Security
来源:www.claroline.net
链接:http://www.claroline.net/forum/viewtopic.php?t=13533
来源:SECUNIA
名称:26685
链接:http://secunia.com/advisories/26685
来源:OSVDB
名称:38987
链接:http://osvdb.org/38987